package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessanxiety.ElderlyAssessAnxietyPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessanxiety.ElderlyAssessAnxietyRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessanxiety.ElderlyAssessAnxietySaveReqVO;

public interface ElderlyAssessAnxietyService {

    Long create(ElderlyAssessAnxietySaveReqVO createReqVO);

    void update(ElderlyAssessAnxietySaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessAnxietyRespVO get(Long id);

    PageResult<ElderlyAssessAnxietyRespVO> getPage(ElderlyAssessAnxietyPageReqVO pageReqVO);
}
